<?php

namespace Classifieds\Advertisement;

use User;

class Advertisements
{
    /**
     * $advertisement object.
     */
    protected $advertisement;

    /**
     * Constructor.
     */
    public function __construct(\Classifieds\Advertisement\Interfaces\AdvertisementRepositoryInterface $advertisement)
    {
        $this->advertisement = $advertisement;
    }

    /**
     * Returns count of advertisement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find advertisement by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function advertisement($slug)
    {
        return  $this->advertisement
            ->findBySlug($slig)
            ->toArray();
    }
}
